using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioBobinaTensao
    {


        public void Insert(entidadeBobinaTensao objBobinaTensao)
        {
            dalBobinaTensao dalBobinaTensao = null;

            try
            {
                dalBobinaTensao = new dalBobinaTensao();

                dalBobinaTensao.Insert(objBobinaTensao);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update(entidadeBobinaTensao objBobinaTensao)
        {
            dalBobinaTensao dalBobinaTensao = null;

            try
            {
                dalBobinaTensao = new dalBobinaTensao();

                dalBobinaTensao.Update(objBobinaTensao);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_1(entidadeBobinaTensao objBobinaTensao)
        {
            dalBobinaTensao dalBobinaTensao = null;

            try
            {
                dalBobinaTensao = new dalBobinaTensao();

                dalBobinaTensao.Update_1(objBobinaTensao);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete(entidadeBobinaTensao objBobinaTensao)
        {
            dalBobinaTensao dalBobinaTensao = null;

            try
            {
                dalBobinaTensao = new dalBobinaTensao();

                dalBobinaTensao.Delete(objBobinaTensao);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeBobinaTensao> Select(entidadeBobinaTensao objBobinaTensao)
        {
            dalBobinaTensao dalBobinaTensao = null;

            var lstBobinaTensao = new List<entidadeBobinaTensao>();
            DataTable dt = null;

            try
            {
                dalBobinaTensao = new dalBobinaTensao();
                dt = dalBobinaTensao.Select(objBobinaTensao);

                foreach (DataRow dr in dt.Rows)
                {
                    objBobinaTensao = new entidadeBobinaTensao();


                    if (!Convert.IsDBNull(dr["ID"]))
                        objBobinaTensao.ID = Convert.ToInt32(dr["ID"]);

                    if (!Convert.IsDBNull(dr["DESCRICAO"]))
                        objBobinaTensao.DESCRICAO = dr["DESCRICAO"].ToString();

                    if (!Convert.IsDBNull(dr["SITUACAO"]))
                        objBobinaTensao.SITUACAO = dr["SITUACAO"].ToString();

                    if (!Convert.IsDBNull(dr["IDUSUARIOS"]))
                        objBobinaTensao.IDUSUARIOS = Convert.ToInt32(dr["IDUSUARIOS"]);


                    lstBobinaTensao.Add(objBobinaTensao);
                }
                return lstBobinaTensao;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeBobinaTensao> SelectMax(entidadeBobinaTensao objBobinaTensao)
        {
            dalBobinaTensao dalBobinaTensao = null;

            var lstBobinaTensao = new List<entidadeBobinaTensao>();
            DataTable dt = null;

            try
            {
                dalBobinaTensao = new dalBobinaTensao();
                dt = dalBobinaTensao.SelectMax(objBobinaTensao);

                foreach (DataRow dr in dt.Rows)
                {
                    objBobinaTensao = new entidadeBobinaTensao();

                    if (!Convert.IsDBNull(dr["ID"]))
                        objBobinaTensao.ID = Convert.ToInt32(dr["ID"]);


                    lstBobinaTensao.Add(objBobinaTensao);
                }
                return lstBobinaTensao;
            }
            catch (Exception)
            {
                throw;
            }
        }



    }
}
